Name:           gobby
Version:        0.4.10
Release:        %mkrel 1
Summary:        A free collaborative editor
Group:          Editors
License:        GPLv2+
URL:            http://gobby.0x539.de/
Source0:        http://releases.0x539.de/gobby/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
BuildRequires:	libobby-devel >= 0.4.6
BuildRequires:  libnet6-devel libobby-devel gtkmm2.4-devel
BuildRequires:  gtksourceview-devel libxml++-devel
BuildRequires:  pkgconfig(gtksourceview-1.0)
BuildRequires:  pkgconfig(avahi-glib)
BuildRequires:  imagemagick 
BuildRequires:	intltool

%description
Gobby is a free collaborative editor based on libobby, a library which provides
synced document buffers. It supports multiple documents in one session and a 
multi-user chat. It runs on Microsoft Windows, Mac OS X, Linux and other 
Unix-like platforms.

It uses GTK+ 2.6 as its windowing toolkit and thus integrates nicely into the 
GNOME desktop environment.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=Gobby
Comment=A free collaborative editor
Exec=%{_bindir}/%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=TextEditor;Utility;GTK;
EOF

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ChangeLog AUTHORS README NEWS
%_bindir/*
%_iconsdir/*/*/*/*
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*

%if %mdkversion < 200900
%post
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif


%changelog
* Wed Mar 18 2009 Michael Scherer <misc@mandriva.org> 0.4.10-1mdv2009.1
+ Revision: 357465
- update to 0.4.10
- update source url sur mdvsys update work

* Sun Jan 04 2009 Funda Wang <fundawang@mandriva.org> 0.4.9-1mdv2009.1
+ Revision: 324534
- BR intltool
- New version 0.4.9

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Nov 11 2008 Funda Wang <fundawang@mandriva.org> 0.4.8-1mdv2009.1
+ Revision: 302045
- New version 0.4.8

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sun Jan 27 2008 Funda Wang <fundawang@mandriva.org> 0.4.6-1mdv2008.1
+ Revision: 158711
- New version 0.4.6

* Tue Jan 22 2008 Funda Wang <fundawang@mandriva.org> 0.4.5-3mdv2008.1
+ Revision: 156305
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - rebuild

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.4.5-1mdv2008.0
+ Revision: 79843
- 0.4.5

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill desktop-file-validate's 'warning: key "Encoding" in group "Desktop Entry" is deprecated'

* Sun Aug 19 2007 Michael Scherer <misc@mandriva.org> 0.4.4-1mdv2008.0
+ Revision: 66492
- fix buildrequires
- new version


* Sun Sep 24 2006 Michael Scherer <misc@mandriva.org> 0.4.1-2mdv2007.0
- rebuild for missing zeroconf support

* Mon Sep 04 2006 Michael Scherer <misc@mandriva.org> 0.4.1-1mdv2007.0
- New version 0.4.1
- xdg

* Thu Jun 01 2006 Jerome Soyer <saispo@mandriva.org> 0.3.1-1mdv2007.0
- New release 0.3.1

* Wed Dec 21 2005 Michael Scherer <misc@mandriva.org> 0.3.0-1mdk
- New release 0.3.0

* Fri Nov 04 2005 Michael Scherer <misc@mandriva.org> 0.2.2-1mdk
- First package

